<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Seller_Itemexhibit_Infomation
{
    var $c_mypage;
    var $c_seller;
    var $auth;

    var $status;
    var $sellerdata;

    var $infomation;
    var $updcnt;

    function execute()
    {
        $log =& LogFactory::getLog();
        

        if (!$this->auth->checkAuth()) return 'autherr';

        $this->status = $this->c_mypage->checkStatus($this->auth->getAuthData("membercd"));

        if (!$this->status["scd"]) {
            $location = SSL_URL_ROOT.
                        htmlspecialchars($_SERVER["SCRIPT_NAME"], ENT_QUOTES).
                        '?action=customer_mypage_seller_insert_form';
            header('location:'.$location);
            exit;
        }

        $this->sellerdata = $this->c_seller->getSellerInfo($this->auth->getAuthData("membercd"));
        $this->infomation = $this->sellerdata["infomation"];
        $this->updcnt = $this->sellerdata["updcnt"];
        return 'success';
    }

    function getStatus()
    {
        return $this->status;
    }
    
}
?>
